package com.caimei.www.pojo.page;

import lombok.Data;

import java.io.Serializable;
import java.util.List;

/**
 * 页面楼层
 *
 * @author : Charles
 * @date : 2020/6/22
 */
@Data
public class PageFloor implements Serializable {
	private Integer id;
	private Integer type;
	private String title;
	private String detail;
	private String link;
	private List<PageFloor> subFloors;
	private List<ImageLink> floorData;

    private static final long serialVersionUID = 1L;
}
