package com.caimei.www.service.page;

import com.caimei.www.pojo.JsonModel;
import com.caimei.www.pojo.order.CartItem;
import com.caimei.www.pojo.order.CartSupplier;

import java.util.List;
import java.util.Map;

/**
 * Description
 *
 * @author : Charles
 * @date : 2020/7/23
 */
public interface ShoppingService {
    /**
     * 顶部购物车数据
     * @param userId
     * @return
     */
    JsonModel<List<CartItem>> getHeaderCart(Integer userId);
    /**
     * 购物车列表
     * @param userId
     * @return
     */
    JsonModel<Map<String, Object>> getShoppingCarts(Integer userId);
}
