/* HTTP API 机构业务模块
 * Copyright 2020, CAIMEI365
 * Date   2020/06/16
 * auther ZHJY
 */
var OrderApi = {
        /* 查询用户地址列表 */
        GetAddressList: function (params, callback) {
            Http.AjaxService({ url:'/personalCenter/findAddress', type:'GET', data:params, json:false})
            .then(function(res){
                callback(res);
            });
        },
        /* 添加,保存地址 */
        AddSaveAddress: function (params, callback) {
            Http.AjaxService({ url:'/personalCenter/saveAddress', type:'POST', data:params, json:false})
            .then(function(res){
                callback(res);
            });
        },
        /* 确认订单 */
        GetOrderConfirmInfo: function (params, callback) {
            Http.AjaxService({ url:'/order/confirm', type:'GET', data:params, json:false})
            .then(function(res){
                callback(res);
            });
        },
        /* 获取订单邮费信息 */
        GetOrderPostage: function (params, callback) {
            Http.AjaxService({ url:'/order/postage', type:'GET', data:params, json:false})
            .then(function(res){
                callback(res);
            });
        },
        /* 订单支付,效验付款规则 orderId 订单ID */
        OrderPaymentValidation: function (params, callback) {
            Http.AjaxService({ url:'/order/paymentValidation', type:'GET', data:params, json:false, mask:false,replace:false})
            .then(function(res){
                callback(res);
            });
        },
        /* 订单支付,效验付款规则 orderId 订单ID */
        OrderBalanceDeduction: function (params, callback) {
            Http.AjaxService({ url:'/order/balanceDeduction', type:'post', data:params, json:false, mask:false,replace:false})
            .then(function(res){
                callback(res);
            });
        },
};