var isPC = ($(window).width()>768);
var orderList = new Vue({
    el:'#orderList',
    data:{
        params:{
            ShopID:10100,
            pageNum: 1,
            pageSize: 15,
            sendOutStatus: 0,
            payStatus: 0,
            shopOrderNo:'',
            name: '',
            sendOutStatus:'',
            payStatus:'',
        },
         pageInput: '1',
        isRequset:false,
        results:[],
    },
    computed: {
        pageTotal: function () {
            var total = Math.ceil(this.listRecord / this.params.size);
            return total > 0 ? total : 1;
        },
        showPageBtn: function () {
            var total = Math.ceil(this.listRecord / this.params.size);
            total = total > 0 ? total : 1;
            var index = this.params.pageNum, arr = [];
            if (total <= 6) {
                for (var i = 1; i <= total; i++) {
                    arr.push(i);
                }
                return arr;
            }
            if (index <= 3) return [1, 2, 3, 4, 5, 0, total];
            if (index >= total - 2) return [1, 0, total - 4, total - 3, total - 2, total - 1, total];
            return [1, 0, index - 2, index - 1, index, index + 1, index + 2, 0, total];
        }
    },
    methods:{
         toPagination: function (pageNum) {
            if (pageNum <= this.pageTotal) {
                var params = {pageNum: pageNum};
                window.location.href = updateUrlParam(params);
            }
        },
     checkNum: function () {
        if (this.pageInput > this.pageTotal) {
            this.pageInput = this.pageTotal;
        } else if (this.pageInput < 1) {
            this.pageInput = 1;
        }
    },

    },
    mounted:function () {
        var _this = this;
        SupplierApi.MyOrderList(_this.params,function (res) {
            if(res.code==0){
                 _this.isRequset = true;
                     console.log(res)
                 _this.results = res.data.results;
            }

        })
    }
})
